function [mess_sig_A1,mess_sig_A2,specUpM,rAxis,dopAxis,sweep_number]= mess_Signal(Port_Name_sdata_1,win)

Byte_Avalibel_1=get(Port_Name_sdata_1 , 'BytesAvailable');


if Byte_Avalibel_1>0
    data_mess_1= fread (Port_Name_sdata_1 ,Byte_Avalibel_1,'uint8')';   % read Data
    fclose(instrfind)
    delete(instrfind)
    
    R_data_1=data_mess_1;
    
    sss_1=find(R_data_1==255);%% Syr Byte 
    ss_1=diff(sss_1);%% Position of SYR Byte  diff=0;
    sss1_1=(find(ss_1>=300));%% Packet 
    kk_1=sss_1(sss1_1);%% Start und End for one Packet
    index_1=1;
    %to  separate data from Syr Byte 
    for lej_1=1:length(kk_1)-1
        data_mess1_1=R_data_1(kk_1(lej_1)+1:kk_1(lej_1+1)-3);
        len_1=length(data_mess1_1);
       sweep_number= lej_1;
        zzd_1=1;
        while zzd_1<len_1-1
            if data_mess1_1(zzd_1)~=255
                if data_mess1_1(zzd_1)>=128 && data_mess1_1(zzd_1+1)<128
                    Sig_1(index_1)=((data_mess1_1(zzd_1)-128)*128)+data_mess1_1(zzd_1+1);
                    index_1=index_1+1;
                    zzd_1=zzd_1+2;
                else
                    zzd_1=zzd_1+1;
                end;
            else
                zzd_1=zzd_1+1;
            end;
        end;
        mess_sig_1= Sig_1(1:2:length(Sig_1)-1);
        mess_sig_2= Sig_1(2:2:length(Sig_1)-2);
        index1=find(mess_sig_1~=0);
        index2=find(mess_sig_2~=0);

     mess_sig_A1=mess_sig_1(index1);

      mess_sig_A2=mess_sig_2(index2);


        clear Sig_1
        clear mess_sig_2
        clear mess_sig_1
        index_1=1;
        %% ADC Datasheet
        %% signal Antenna1
        mess_sig_A1 =(mess_sig_A1*1.25)/8192;
        mess_sig_A1 =(mess_sig_A1*1.25);
        if max(max(mess_sig_A1))>1
            mess_sig_A1 = mess_sig_A1-1;
        end;
        mess_sig_A1= mess_sig_A1(20:length(mess_sig_A1)-1);
        mess_sig_A1_f = mess_sig_A1- mean(mess_sig_A1); %% delete DC part
        %% signal Antenna2
       mess_sig_A2 =(mess_sig_A2*1.25)/8192;
        mess_sig_A2 =(mess_sig_A2*1.25);
        if max(max(mess_sig_A2))>1
            mess_sig_A2 = mess_sig_A2-1;
        end;
        mess_sig_A2 = mess_sig_A2(20:length(mess_sig_A2)-1);
        mess_sig_A2_f = mess_sig_A2 - mean(mess_sig_A2); %% delete DC part
        

          figure(1)
        hold off;
        subplot(211),plot(mess_sig_A1_f,'ro-'),title('beat signal Antenna 1')
        hold on;
        subplot(212),plot(mess_sig_A2_f,'-ob'),title('beat signal Antenna 2')
        pause(0.1)
        
     
      a1(sweep_number) = length(mess_sig_A1_f);
      a2(sweep_number) = length(mess_sig_A2_f);

 
      if sweep_number == 1
        npkt1 = length(mess_sig_A1_f);
        npkt=npkt1;
        npkt2 = length(mess_sig_A2_f);
        sigMatrix1 = zeros (length(kk_1)-1 , npkt);
        sigMatrix2 = zeros (length(kk_1)-1 , npkt);
      end
       
      % save each beat in a matrix
      sigMatrix1 (sweep_number,1:length(mess_sig_A1_f)) = mess_sig_A1_f;
      sigMatrix2 (sweep_number,1:length(mess_sig_A2_f)) = mess_sig_A2_f; 
      
   end;

% % %      SAVINGGGGGGGGGGGG
% % if win < 4
% save_index=num2str(win);
% rang_ang='_rangaco';
% name_file=strcat(save_index,rang_ang);
%      save(name_file,'sigMatrix1','sigMatrix2','npkt','sweep_number')
% % end
% sat='saved'
 
RadarP = Radar_Parm;

sigMatrix1=sigMatrix1(:,170:360);
sigMatrix2=sigMatrix2(:,170:360);
for i=1:sweep_number
    [sig1,sig2]= filt_Signal(sigMatrix1(i,:),sigMatrix2(i,:),RadarP);
    sigMatrix1_f(i,:)=sig1;
    sigMatrix2_f(i,:)=sig2;
end

[sigMatrix1_ff,sigMatrix2_ff] = filt_Dopp (sigMatrix1_f,sigMatrix2_f);

[specUpM,rAxis,dopAxis] = Fourier_proccesing(sigMatrix1_ff,sigMatrix2_ff,npkt,sweep_number);

[beta_rad,beta_grad]= imaging_RDA(specUpM,rAxis,dopAxis,sweep_number);
       
end;

