function [pos_max,nro_max,int_max]= max_matrix(matrix) 

% matrix = [1 1 3 3 2 9;
%     3 4 2 1 1 2;
%     2 1 1 2 4 2;
%     4 4 1 4 5 1;
%     3 8 1 1 1 1];

nro_max = 0;
pos_max = [];
int_max = [];
matrix = (abs(matrix)/max(max(abs(matrix))));

for i=1:length(matrix(:,1))
    for j=1:length(matrix(1,:))
        if abs(matrix(i,j)) >= 0.02
        % compare each pixel with arounds
        % save arounds pixels in vector and calculate the max
        
                    % % % % inside matrix
        if i ~= 1 && i ~= length(matrix(:,1)) && j ~= 1 && j ~= length(matrix(1,:))
            a_vec = [ matrix(i-1,j-1:j+1)...
                      matrix(i+1,j-1:j+1)...
                      matrix(i,j-1)...
                      matrix(i,j+1) ];
        end
        
        % % % % edges
        % left
        if j == 1
            if i == 1 || i == length(matrix(:,1)) % corners
            else
                a_vec = [ matrix(i-1,j:j+1)...
                              matrix(i,j+1)...
                              matrix(i+1,j:j+1) ];
            end
        end

        % right
        if j == length (matrix(1,:))
            if i == 1 || i == length(matrix(:,1)) % corners
            else
                a_vec = [ matrix(i-1,j-1:j)...
                              matrix(i,j-1)...
                              matrix(i+1,j-1:j) ];
            end
        end

        % up
        if i == 1
            if j == 1 || j == length(matrix(1,:)) % corners
            else
                    a_vec = [ matrix(i,j-1)...
                              matrix(i,j+1)...
                              matrix(i+1,j-1:j+1) ];
            end
        end

        % down
        if i == length(matrix(:,1))
            if j == 1 || j == length(matrix(1,:)) % corners
            else
                a_vec = [ matrix(i,j-1)...
                          matrix(i,j+1)...
                          matrix(i-1,j-1:j+1) ];
            end
        end
        
        %%%% corners
        % ul
        if i ==1 && j ==1
            a_vec = [ matrix(i,j+1)...
                      matrix(i+1,j:j+1)];
        end
        % ur
        if i ==1 && j ==length(matrix(1,:))
            a_vec = [ matrix(i,j-1)...
                      matrix(i+1,j-1:j)];
        end
         % dl
        if i ==length(matrix(:,1)) && j ==1
            a_vec = [ matrix(i,j+1)...
                      matrix(i-1,j:j+1)];
        end
         % dr
        if i ==length(matrix(:,1)) && j ==length(matrix(1,:))
            a_vec = [ matrix(i,j-1)...
                      matrix(i-1,j-1:j)];
        end
        
        a_vec = abs(a_vec);
        a_max = max(a_vec);
        if a_max <= abs(matrix(i,j))
            nro_max = nro_max +1;
            pos_max = [pos_max;i j];
            int_max = [int_max;abs(matrix(i,j))];
        end
%         end
        clear a_vec;
        end
    end
end




